[gentoo-commits] repo/gentoo:master commit in: dev-python/setuptools_trial/

2021-08-18 Thread Arthur Zamarin
commit: d98adae77d4d28f1b5d69097ea7c573e99128893
Author: Arthur Zamarin  gentoo  org>
AuthorDate: Wed Aug 18 07:47:29 2021 +
Commit: Arthur Zamarin  gentoo  org>
CommitDate: Wed Aug 18 07:47:29 2021 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d98adae7

dev-python/setuptools_trial: enable py3.10, fix docs install

Closes: https://bugs.gentoo.org/802849
Signed-off-by: Arthur Zamarin  gentoo.org>

 .../setuptools_trial/setuptools_trial-0.6.0-r1.ebuild  | 14 +-
 1 file changed, 9 insertions(+), 5 deletions(-)

diff --git a/dev-python/setuptools_trial/setuptools_trial-0.6.0-r1.ebuild 
b/dev-python/setuptools_trial/setuptools_trial-0.6.0-r1.ebuild
index 331289048c4..849cb00d85f 100644
--- a/dev-python/setuptools_trial/setuptools_trial-0.6.0-r1.ebuild
+++ b/dev-python/setuptools_trial/setuptools_trial-0.6.0-r1.ebuild
@@ -1,11 +1,9 @@
 # Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
-PYTHON_COMPAT=( python3_{7,8,9} )
-
-DISTUTILS_USE_SETUPTOOLS=bdepend
+EAPI=8
 
+PYTHON_COMPAT=( python3_{8..10} )
 inherit distutils-r1
 
 DESCRIPTION="Setuptools plugin that makes unit tests execute with trial 
instead of pyunit"
@@ -22,7 +20,13 @@ RDEPEND="
>=dev-python/twisted-16.0.0[${PYTHON_USEDEP}]
 "
 
-BDEPEND="${RDEPEND}"
+BDEPEND="test? ( ${RDEPEND} )"
+
+src_prepare() {
+   # don't install docs into wrong location
+   sed -e '/data_files=/d' -i setup.py || die
+   distutils-r1_src_prepare
+}
 
 python_test() {
distutils_install_for_testing



[gentoo-commits] repo/gentoo:master commit in: dev-python/setuptools_trial/

2021-04-27 Thread Sam James
commit: 34d291658984b984ebc2e27f9650319bfcdb4001
Author: Sam James  gentoo  org>
AuthorDate: Tue Apr 27 22:53:20 2021 +
Commit: Sam James  gentoo  org>
CommitDate: Tue Apr 27 22:53:40 2021 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=34d29165

dev-python/setuptools_trial: Keyword 0.6.0-r1 arm64, #766462

Signed-off-by: Sam James  gentoo.org>

 dev-python/setuptools_trial/setuptools_trial-0.6.0-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-python/setuptools_trial/setuptools_trial-0.6.0-r1.ebuild 
b/dev-python/setuptools_trial/setuptools_trial-0.6.0-r1.ebuild
index ba64b69dfb5..331289048c4 100644
--- a/dev-python/setuptools_trial/setuptools_trial-0.6.0-r1.ebuild
+++ b/dev-python/setuptools_trial/setuptools_trial-0.6.0-r1.ebuild
@@ -14,7 +14,7 @@ SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
 
 LICENSE="BSD"
 SLOT="0"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="~amd64 ~arm64 ~x86"
 IUSE="test"
 RESTRICT="!test? ( test )"
 



[gentoo-commits] repo/gentoo:master commit in: dev-python/setuptools_trial/

2021-03-28 Thread Brian Dolbec
commit: 487fb3075ffeba04a4269222c3f72a86353e492d
Author: Brian Dolbec  gentoo  org>
AuthorDate: Sun Mar 28 19:45:14 2021 +
Commit: Brian Dolbec  gentoo  org>
CommitDate: Sun Mar 28 22:16:02 2021 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=487fb307

dev-python/setuptools_trial: Add py3.9 to python_compat

Required for buildbot-3.0.2

Package-Manager: Portage-3.0.14, Repoman-3.0.2
Signed-off-by: Brian Dolbec  gentoo.org>

 dev-python/setuptools_trial/setuptools_trial-0.6.0-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-python/setuptools_trial/setuptools_trial-0.6.0-r1.ebuild 
b/dev-python/setuptools_trial/setuptools_trial-0.6.0-r1.ebuild
index 6c7422a9e71..ba64b69dfb5 100644
--- a/dev-python/setuptools_trial/setuptools_trial-0.6.0-r1.ebuild
+++ b/dev-python/setuptools_trial/setuptools_trial-0.6.0-r1.ebuild
@@ -2,7 +2,7 @@
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
-PYTHON_COMPAT=( python3_{7,8} )
+PYTHON_COMPAT=( python3_{7,8,9} )
 
 DISTUTILS_USE_SETUPTOOLS=bdepend
 



[gentoo-commits] repo/gentoo:master commit in: dev-python/setuptools_trial/

2021-02-13 Thread Brian Dolbec
commit: a07f77f910e03f8f648d1d24d0e1854d20921309
Author: Brian Dolbec  gentoo  org>
AuthorDate: Sat Feb 13 21:21:04 2021 +
Commit: Brian Dolbec  gentoo  org>
CommitDate: Sat Feb 13 21:27:08 2021 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a07f77f9

dev-python/setuptools_trial: Fix DISTUTILS_USE_SETUPTOOLS

Closes: https://bugs.gentoo.org/747712
Package-Manager: Portage-3.0.10, Repoman-3.0.2
Signed-off-by: Brian Dolbec  gentoo.org>

 dev-python/setuptools_trial/setuptools_trial-0.6.0-r1.ebuild | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/dev-python/setuptools_trial/setuptools_trial-0.6.0-r1.ebuild 
b/dev-python/setuptools_trial/setuptools_trial-0.6.0-r1.ebuild
index 46665169315..6c7422a9e71 100644
--- a/dev-python/setuptools_trial/setuptools_trial-0.6.0-r1.ebuild
+++ b/dev-python/setuptools_trial/setuptools_trial-0.6.0-r1.ebuild
@@ -1,10 +1,11 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
 PYTHON_COMPAT=( python3_{7,8} )
 
-DISTUTILS_USE_SETUPTOOLS="rdepend"
+DISTUTILS_USE_SETUPTOOLS=bdepend
+
 inherit distutils-r1
 
 DESCRIPTION="Setuptools plugin that makes unit tests execute with trial 
instead of pyunit"



[gentoo-commits] repo/gentoo:master commit in: dev-python/setuptools_trial/

2020-05-08 Thread Brian Dolbec
commit: 36e7816647baad8aa939399db250786a8d9c8787
Author: Brian Dolbec  gentoo  org>
AuthorDate: Wed Apr 29 00:21:13 2020 +
Commit: Brian Dolbec  gentoo  org>
CommitDate: Sat May  9 00:50:51 2020 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=36e78166

dev-python/setuptools_trial: Revision bump, adds python 3.7, 3.8

Bump eapi, also duplicate the pkg tests inside our build environment.
metadata.xml take maintainership

Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Brian Dolbec  gentoo.org>

 dev-python/setuptools_trial/metadata.xml   |  5 ++-
 .../setuptools_trial-0.6.0-r1.ebuild   | 42 ++
 .../setuptools_trial/setuptools_trial-0.6.0.ebuild | 25 -
 3 files changed, 46 insertions(+), 26 deletions(-)

diff --git a/dev-python/setuptools_trial/metadata.xml 
b/dev-python/setuptools_trial/metadata.xml
index 2d9727db0f6..492255f2cfc 100644
--- a/dev-python/setuptools_trial/metadata.xml
+++ b/dev-python/setuptools_trial/metadata.xml
@@ -1,7 +1,10 @@
 
 http://www.gentoo.org/dtd/metadata.dtd;>
 
-   
+   
+   dol...@gentoo.org
+   Brian Dolbec
+   


vladi...@rutsky.org

diff --git a/dev-python/setuptools_trial/setuptools_trial-0.6.0-r1.ebuild 
b/dev-python/setuptools_trial/setuptools_trial-0.6.0-r1.ebuild
new file mode 100644
index 000..4bc6f905bbc
--- /dev/null
+++ b/dev-python/setuptools_trial/setuptools_trial-0.6.0-r1.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+DISTUTILS_USE_SETUPTOOLS="rdepend"
+inherit distutils-r1
+
+DESCRIPTION="Setuptools plugin that makes unit tests execute with trial 
instead of pyunit"
+HOMEPAGE="https://github.com/rutsky/setuptools-trial 
https://pypi.org/project/setuptools_trial/;
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+   >=dev-python/twisted-16.0.0[${PYTHON_USEDEP}]
+"
+
+BDEPEND="${RDEPEND}"
+
+python_test() {
+   distutils_install_for_testing
+
+   # The pkg test suite creates a virtualenv to install to for testing
+   # The distutils-r1 eclass already does the equivalent for us.
+   # So just run the same commands they do directly...
+   pushd "${S}"/tests/dummy_project > /dev/null || die
+   "${EPYTHON}" -m setup.py trial || \
+   die "trial tests failed with ${EPYTHON}"
+   "${EPYTHON}" -m setup.py trial --reporter=text || \
+   die "trial --reporter tests failed with ${EPYTHON}"
+   popd > /dev/null || die
+   pushd "${S}"/tests/alias_project > /dev/null || die
+   "${EPYTHON}" -m setup.py test || \
+   die "alias_project tests failed with ${EPYTHON}"
+   popd > /dev/null || die
+}

diff --git a/dev-python/setuptools_trial/setuptools_trial-0.6.0.ebuild 
b/dev-python/setuptools_trial/setuptools_trial-0.6.0.ebuild
deleted file mode 100644
index f8e7fe22122..000
--- a/dev-python/setuptools_trial/setuptools_trial-0.6.0.ebuild
+++ /dev/null
@@ -1,25 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-PYTHON_COMPAT=( python3_6 )
-
-inherit distutils-r1
-
-DESCRIPTION="Setuptools plugin that makes unit tests execute with trial 
instead of pyunit"
-HOMEPAGE="https://github.com/rutsky/setuptools-trial 
https://pypi.org/project/setuptools_trial/;
-SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE=""
-
-RDEPEND="
-   dev-python/setuptools[${PYTHON_USEDEP}]
-   >=dev-python/twisted-16.0.0[${PYTHON_USEDEP}]
-"
-
-DEPEND="
-   ${RDEPEND}
-"



[gentoo-commits] repo/gentoo:master commit in: dev-python/setuptools_trial/

2020-03-17 Thread Michał Górny
commit: 4ca85166640a8d7d8b9039451c47c807c11483c9
Author: Michał Górny  gentoo  org>
AuthorDate: Tue Mar 17 07:38:55 2020 +
Commit: Michał Górny  gentoo  org>
CommitDate: Tue Mar 17 08:07:39 2020 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4ca85166

dev-python/setuptools_trial: Clean py2 deps up

Signed-off-by: Michał Górny  gentoo.org>

 dev-python/setuptools_trial/setuptools_trial-0.6.0.ebuild | 1 -
 1 file changed, 1 deletion(-)

diff --git a/dev-python/setuptools_trial/setuptools_trial-0.6.0.ebuild 
b/dev-python/setuptools_trial/setuptools_trial-0.6.0.ebuild
index 40e5bf7921a..f8e7fe22122 100644
--- a/dev-python/setuptools_trial/setuptools_trial-0.6.0.ebuild
+++ b/dev-python/setuptools_trial/setuptools_trial-0.6.0.ebuild
@@ -18,7 +18,6 @@ IUSE=""
 RDEPEND="
dev-python/setuptools[${PYTHON_USEDEP}]
>=dev-python/twisted-16.0.0[${PYTHON_USEDEP}]
-   $(python_gen_cond_dep 'dev-python/pathlib2[${PYTHON_USEDEP}]' python2_7)
 "
 
 DEPEND="



[gentoo-commits] repo/gentoo:master commit in: dev-python/setuptools_trial/

2020-02-05 Thread Michał Górny
commit: 2571a2a8d559600594d1af6f6f429c38e3d7c0c3
Author: Michał Górny  gentoo  org>
AuthorDate: Thu Feb  6 05:49:14 2020 +
Commit: Michał Górny  gentoo  org>
CommitDate: Thu Feb  6 05:59:42 2020 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2571a2a8

dev-python/setuptools_trial: Remove py2

Signed-off-by: Michał Górny  gentoo.org>

 dev-python/setuptools_trial/setuptools_trial-0.6.0.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-python/setuptools_trial/setuptools_trial-0.6.0.ebuild 
b/dev-python/setuptools_trial/setuptools_trial-0.6.0.ebuild
index 031cd9a3a5e..40e5bf7921a 100644
--- a/dev-python/setuptools_trial/setuptools_trial-0.6.0.ebuild
+++ b/dev-python/setuptools_trial/setuptools_trial-0.6.0.ebuild
@@ -2,7 +2,7 @@
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
-PYTHON_COMPAT=( python2_7 python3_6 )
+PYTHON_COMPAT=( python3_6 )
 
 inherit distutils-r1
 



[gentoo-commits] repo/gentoo:master commit in: dev-python/setuptools_trial/

2017-04-04 Thread Brian Dolbec
commit: 5a3d98cd5c9eb2f4e83b89f62fad7e4202169667
Author: Brian Dolbec  gentoo  org>
AuthorDate: Tue Apr  4 19:39:09 2017 +
Commit: Brian Dolbec  gentoo  org>
CommitDate: Tue Apr  4 23:04:14 2017 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5a3d98cd

dev-python/setuptools_trial: Add python-3.6

Clean out unused code.

Package-Manager: Portage-2.3.5, Repoman-2.3.2_p30

 .../setuptools_trial/setuptools_trial-0.6.0.ebuild  | 17 +
 1 file changed, 1 insertion(+), 16 deletions(-)

diff --git a/dev-python/setuptools_trial/setuptools_trial-0.6.0.ebuild 
b/dev-python/setuptools_trial/setuptools_trial-0.6.0.ebuild
index 32d90abdb81..b9435367812 100644
--- a/dev-python/setuptools_trial/setuptools_trial-0.6.0.ebuild
+++ b/dev-python/setuptools_trial/setuptools_trial-0.6.0.ebuild
@@ -2,7 +2,7 @@
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
-PYTHON_COMPAT=( python2_7 python3_{4,5} )
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
 
 inherit distutils-r1
 
@@ -13,7 +13,6 @@ SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
 LICENSE="BSD"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
-#IUSE="test"
 IUSE=""
 
 RDEPEND="
@@ -25,17 +24,3 @@ RDEPEND="
 DEPEND="
${RDEPEND}
 "
-
-# tests fail due to pip install sandbox violations
-#  test? (
-#  dev-python/virtualenv[${PYTHON_USEDEP}]
-#  dev-python/pytest[${PYTHON_USEDEP}]
-#  dev-python/pytest-virtualenv[${PYTHON_USEDEP}]
-#  )
-#"
-
-#python_test() {
-   #distutils_install_for_testing
-
-   #esetup.py test || die "Tests failed under ${EPYTHON}"
-#}



[gentoo-commits] repo/gentoo:master commit in: dev-python/setuptools_trial/

2017-01-03 Thread Brian Dolbec
commit: bf4ee685c890ef93d5b7565601651d2d5eca0e86
Author: Brian Dolbec  gentoo  org>
AuthorDate: Wed Jan  4 04:25:38 2017 +
Commit: Brian Dolbec  gentoo  org>
CommitDate: Wed Jan  4 04:48:29 2017 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bf4ee685

dev-python/setuptools-trial: New pkg, dep of buildbot test suite

 dev-python/setuptools_trial/Manifest   |  1 +
 dev-python/setuptools_trial/metadata.xml   | 22 
 .../setuptools_trial/setuptools_trial-0.6.0.ebuild | 42 ++
 3 files changed, 65 insertions(+)

diff --git a/dev-python/setuptools_trial/Manifest 
b/dev-python/setuptools_trial/Manifest
new file mode 100644
index ..3e01703
--- /dev/null
+++ b/dev-python/setuptools_trial/Manifest
@@ -0,0 +1 @@
+DIST setuptools_trial-0.6.0.tar.gz 6227 SHA256 
14220f8f761c48ba1e2526f087195077cf54fad7098b382ce220422f0ff59b12 SHA512 
9104b98627f57ed53c90d22042346875c5324d7b30e1ec9ba1718b5c59a786915a8fe0a53789a5dbd9318a12b27122661234f5be403365261db6a8728ce39827
 WHIRLPOOL 
b75ae1cadce7353695fa791edab530bc9a4af0acedb783044cc6405736d8fdb309b77d3a703865e22c4c1c8ae786b7ae5e0342a42fd592aa70fe005bafc79d7e

diff --git a/dev-python/setuptools_trial/metadata.xml 
b/dev-python/setuptools_trial/metadata.xml
new file mode 100644
index ..026da74
--- /dev/null
+++ b/dev-python/setuptools_trial/metadata.xml
@@ -0,0 +1,22 @@
+
+http://www.gentoo.org/dtd/metadata.dtd;>
+
+   
+   dol...@gentoo.org
+   Primary maintainer
+   
+   
+   
+   vladi...@rutsky.org
+   Vladimir Rutsky
+   
+   setuptools_trial
+   
+   
+   This is a plugin for setuptools that integrates Twisted trial. 
Once
+   installed, “python ./setup.py trial” will run the package’s 
unit tests
+   using Twisted trial. The package can also optionally be 
configured so
+   that “python ./setup.py test” will use Twisted trial instead of 
pyunit
+   a.k.a. unittest.
+   
+

diff --git a/dev-python/setuptools_trial/setuptools_trial-0.6.0.ebuild 
b/dev-python/setuptools_trial/setuptools_trial-0.6.0.ebuild
new file mode 100644
index ..0a3ae3a
--- /dev/null
+++ b/dev-python/setuptools_trial/setuptools_trial-0.6.0.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_{4,5} )
+
+inherit distutils-r1
+
+DESCRIPTION="Setuptools plugin that makes unit tests execute with trial 
instead of pyunit"
+HOMEPAGE="https://github.com/rutsky/setuptools-trial 
https://pypi.python.org/pypi/setuptools_trial;
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+#IUSE="test"
+IUSE=""
+
+RDEPEND="
+   dev-python/setuptools[${PYTHON_USEDEP}]
+   >=dev-python/twisted-16.0.0[${PYTHON_USEDEP}]
+   $(python_gen_cond_dep 'dev-python/pathlib2[${PYTHON_USEDEP}]' python2_7)
+"
+
+DEPEND="
+   ${RDEPEND}
+"
+
+# tests fail due to pip install sandbox violations
+#  test? (
+#  dev-python/virtualenv[${PYTHON_USEDEP}]
+#  dev-python/pytest[${PYTHON_USEDEP}]
+#  dev-python/pytest-virtualenv[${PYTHON_USEDEP}]
+#  )
+#"
+
+#python_test() {
+   #distutils_install_for_testing
+
+   #esetup.py test || die "Tests failed under ${EPYTHON}"
+#}